Skip to main content
Resource Center/Hardware/Backup Storage Operations
GETBackup Storage OperationsSince 0.6SynchronousAuth Required

GetBackupStorageCapacity

GetBackupStorageCapacity

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • zoneUuidsList

    Optional. The zone UUID list.

  • backupStorageUuidsList

    Optional. The backup storage UUID list. Make sure that at least one of zoneUuids and backupStorageUuids is specified. Or, set all to true.

  • allboolean

    Optional. If backupStorageUuids is null, this parameter is set true, which means that all backup storages in the system are queried.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • totalCapacitylongRequired

    The total capacity. Unit: byte.

  • availableCapacitylongRequired

    The available capacity. Unit: byte.

  • successbooleanRequired

    Whether the API succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/backup-storage/capacities

/zstack/v1/backup-storage/capacities

Operation ID

GetBackupStorageCapacity

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/backup-storage/capacities?zoneUuids=<zoneUuids>&backupStorageUuids=<backupStorageUuids>&all=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8 }

Change History

This API has no change history records yet.

View all change history